#include <bits/stdc++.h>

typedef unsigned long long ull;
const int N = 2.5e5 + 10;

ull p[N];
int main() {
	freopen("match.in", "r", stdin);
	freopen("match.out"," w", stdout);

	int T, n, q;
	scanf("%d%d%d", &T, &n, &q);
	for (int i = 1; i <= n; ++i) {
		scanf("%llu", p + i);
	}
	while (q--) {
		int l, r;
		scanf("%d%d", &l, &r);
		
	}
	return 0;
}